<?php
class ui extends control
{
    public function setTemplate($template = '', $theme = '', $custom = false, $mode = 'theme')
    {
        $templates = $this->ui->getTemplates();
        if(in_array($template, array('default', 'mobile')))
        {
            if($mode == 'full')
            {
                $backup = $this->loadModel('backup')->backupAll();
                if($backup['result'] != 'success') $this->send(array('result' => 'fail', 'message' => $this->lang->ui->backupFail));
            }

            if(strpos($this->config->ui->buildInThemes, $theme) === false)
            {
               $this->ui->initTheme($this->app->clientDevice, $template, $theme, $mode); 
            }

            $setting = array();
            $setting[$this->app->clientDevice]['name']  = $template;
            $setting[$this->app->clientDevice]['theme'] = $theme;

            $this->ui->createCustomerCss($template, $theme);

            /* Set layout. */
            $setting[$this->app->clientDevice] = helper::jsonEncode($setting[$this->app->clientDevice]);
            $setting['parser']      = isset($templates[$template]['parser']) ? $templates[$template]['parser'] : 'raintpl';
            $setting['customTheme'] = $custom ? $theme : '';

            /* Get custom params. */
            $this->config->template->{$this->app->clientDevice}->theme = $theme;
            $this->loadThemeHooks();
            $func = "get{$theme}params";
            $setting['custom'] = isset($this->config->template->custom) ? json_decode($this->config->template->custom, true): array();

            $this->loadModel('setting');
            if(!isset($setting['custom'][$template]) or !isset($setting['custom'][$template][$theme]))
            {
                $setting['custom'][$template][$theme] = function_exists($func) ? $func() : array();
                foreach($setting['custom'][$template][$theme] as $key => $style)
                {
                    if(strpos($style, 'source/') !== false) 
                    {
                        $style = str_replace('source/', "source/{$this->config->site->id}/", $style);
                        $setting['custom'][$template][$theme][$key] = $style;
                    }
                }
            }
            $setting['custom'] = json_encode($setting['custom']);

            $result = $this->setting->setItems('system.common.template', $setting);
            if($result) $this->send(array('result' => 'success', 'message' => $this->lang->setSuccess));
            $this->send(array('result' => 'fail', 'message' => $this->lang->fail));
        }

        $template = current($templates);
        $this->view->title           = $this->lang->ui->setTemplate;
        $this->view->uiHeader        = true;
        $this->view->template        = $template;
        $this->view->installedThemes = $this->ui->getInstalledThemes();
        $this->display();
    }
}
