#!/usr/bin/env php
<?php
/**
 *  站群主题安装程序
 *  参数 1: 主题包
 *  参数 2: 主题兼容的模板 default|code
 *
 *  php installtheme.php /somepath/themecode.zip default|mobile
 *  主题请到官网主题市场购买下载
 *  本文件需要在蝉知站群系统的 node/system/bin/saas/ 目录执行
 */

if(!isset($argv[3])) exit("Please run as :\nphp installtheme.php themename.zip default 'theme name'\n");
if(!file_exists($argv[1])) exit("The theme package : $argv[1] not exists.\n");

/* Get node root dir "/home/z/node/" */
$nodeRoot = dirname(dirname(dirname(dirname(__FILE__))));
$tmpPath  = '/tmp/chanzhitheme';

$package   = $argv[1];
$template  = !empty($argv[2]) ? $argv[2] : 'default';
$theme     = basename($package, '.zip');
$themeName = !empty($argv[3]) ? $argv[3] : $theme;
$themeRoot = $tmpPath . '/' . $theme;

if(is_dir($tmpPath)) `rm -rf $tmpPath`;

echo "Creating tmp path : $tmpPath ...\n";
`mkdir -p $tmpPath`;

echo "unzip {$argv[1]} -d $tmpPath/\n";
`unzip {$argv[1]} -d $tmpPath/`;
 
if(!is_dir($tmpPath . '/' . $theme)) exit("$themeRoot/$theme path not exists.");

$themeLangFile    = $nodeRoot . '/system/module/ui/ext/lang/themes.php';
$proThemeLangFile = $nodeRoot . '/prosystem/module/ui/ext/lang/themes.php';
echo "Save theme data to node lang file : '$themeLangFile'\n";
$themeCodes  = file_exists($themeLangFile) ? "" : "<?php\n";
$themeCodes .= '$lang->ui->themeList->' . $template . '[\'' . $theme . '\']  = \'' . $themeName . "';\n";
file_put_contents($themeLangFile, $themeCodes, FILE_APPEND);

$themeCodes  = file_exists($proThemeLangFile) ? "" : "<?php\n";
$themeCodes .= '$lang->ui->themeList->' . $template . '[\'' . $theme . '\']  = \'' . $themeName . "';\n";
file_put_contents($proThemeLangFile, $themeCodes, FILE_APPEND);
`chmod 777 $themeLangFile`;
`chmod 777 $proThemeLangFile`;

if(!is_dir($nodeRoot . '/system/config/license'))
{
    echo "mkdir -p $nodeRoot/system/config/license\n";
    `mkdir -p $nodeRoot/system/config/license`;
}
if(!is_dir($nodeRoot . '/prosystem/config/license'))
{
    echo "mkdir -p $nodeRoot/prosystem/config/license\n";
    `mkdir -p $nodeRoot/prosystem/config/license`;
}

if(is_dir("$tmpPath/$theme/system/config/license") && dir_is_empty("$tmpPath/$theme/system/config/license"))
{
    echo "cp $tmpPath/$theme/system/config/license/* $nodeRoot/system/config/license/\n";
    `cp $tmpPath/$theme/system/config/license/* $nodeRoot/system/config/license/`;
    echo "cp $tmpPath/$theme/system/config/license/* $nodeRoot/prosystem/config/license/\n";
    `cp $tmpPath/$theme/system/config/license/* $nodeRoot/prosystem/config/license/`;
}

if(!is_dir($nodeRoot . '/system/module/ui/ext/config'))
{
    echo "mkdir -p $nodeRoot/system/module/ui/ext/config\n";
    `mkdir -p $nodeRoot/system/module/ui/ext/config`;
}
if(!is_dir($nodeRoot . '/prosystem/module/ui/ext/config')) 
{
    echo "mkdir -p $nodeRoot/prosystem/module/ui/ext/config\n";
    `mkdir -p $nodeRoot/prosystem/module/ui/ext/config`;
}

if(is_dir("$tmpPath/$theme/system/module/ui/ext/config") && dir_is_empty("$tmpPath/$theme/system/module/ui/ext/config"))
{
    echo "cp $tmpPath/$theme/system/module/ui/ext/config/* $nodeRoot/system/module/ui/ext/config/\n";
    `cp $tmpPath/$theme/system/module/ui/ext/config/* $nodeRoot/system/module/ui/ext/config/`;
    echo "cp $tmpPath/$theme/system/module/ui/ext/config/* $nodeRoot/prosystem/module/ui/ext/config/\n";
    `cp $tmpPath/$theme/system/module/ui/ext/config/* $nodeRoot/prosystem/module/ui/ext/config/`;
}

//if(is_dir("$themeRoot/www/template/{$template}/theme/$theme")) `cp -rf $themeRoot/www/template/{$template}/theme/$theme $nodeRoot/www/theme/default`;
if(is_dir("$themeRoot/www/theme/{$template}/$theme")) `cp -rf $themeRoot/www/theme/$template/$theme $nodeRoot/www/theme/$template/`;

`cp $themeRoot/db/install.sql $nodeRoot/www/theme/$template/$theme/`;
`cp $themeRoot/db/full.sql $nodeRoot/www/theme/$template/$theme/`;
`cp $themeRoot/doc/*.yaml $nodeRoot/www/theme/$template/$theme/`;

`sed -i -e 's/THEME_CODEFIX/'$theme'/g' $nodeRoot/www/theme/$template/$theme/install.sql`;
`sed -i -e 's/THEME_CODEFIX/'$theme'/g' $nodeRoot/www/theme/$template/$theme/full.sql`;

if(!is_dir("$nodeRoot/www/data/themes/{$template}/{$theme}/")) `mkdir -p $nodeRoot/www/data/themes/{$template}/{$theme}`;
if(!is_dir($nodeRoot . '/www/data/slidestmp/')) `mkdir -p $nodeRoot/www/data/slidestmp`;

`cp -rf $themeRoot/www/data/source/* $nodeRoot/www/data/source/`;
`cp -rf $themeRoot/www/data/upload/* $nodeRoot/www/data/themes/{$template}/{$theme}/`;

`cp -rf $themeRoot/www/data/slidestmp $nodeRoot/www/data/slidestmp/$theme`;
if(file_exists("$themeRoot/www/theme/$template/$theme/preview.png"))
{
    echo "cp $themeRoot/www/theme/$template/$theme/preview.png $nodeRoot/www/theme/$template/$theme/";
    `cp $themeRoot/www/theme/$template/$theme/preview.png $nodeRoot/www/theme/$template/$theme/`;
}
else
{
    `wget -O $nodeRoot/www/theme/$template/$theme/preview.png http://snap.cnezsoft.com/chanzhi/$theme.theme.chanzhi.org/thumb/index.jpg`;
}
exit("\n $theme installed!\n");

/**
 * 判断文件夹中是否有文件
 * Folder is not empty.
 *
 * @access public
 * @return void
 */
function dir_is_empty($dir)
{
    if($handle = opendir($dir))
    {
        while($item = readdir($handle))
        {
             if($item != "." && $item != "..")
             return true;
        }
    }
    return false;
}
